%define name	pinkytagger
%define version	2.2.3
%define release	1

Summary:	Tag editor for MP3 and OGG files with MusicBrainz support
Name:		%name
Version:	%version
Release:	%mkrel %release
License:	GPL
Group:		Sound
URL:		http://pinkytagger.sourceforge.net/
Source0:	%name-%version.tar.gz
Patch0:		%name-only-musicbrainz3.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	libffmpeg-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmusicbrainz-devel 
BuildRequires:	libopenssl-devel
BuildRequires:	libofa-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	mad-devel
BuildRequires:	qt4-devel >= 4.3
BuildRequires:	taglib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	qt4-linguist
Requires:	taglib
Requires:	zlib


%description
Pinky-Tagger is a mass tagger for Linux written in C++ using the 
Qt4 widget set. Pinky-Tagger supports the MusicBrainz (PUID & TRM) 
service to find the correct tag information of musicfiles (mp3, ogg, 
flac, ape) files automatically.

With Pinky-Tagger, you can manage your files, download cover, 
tag via an integrated expression scanner, tag via the MusicBrainz 
information or even listen to your files (external player support).


%prep
%setup -q 
%patch0 -p1 -b .org

%build
%__install -dm 755 build
pushd build
	export QTDIR=%qt4dir
	PATH=%qt4bin:$PATH
	export PATH
	cmake \
		-DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} \
		-DCMAKE_LIBDIR="%{buildroot}%{_libdir}" VERBOSE=1\
		..

	# dirty hack ...
	%__cp ../locale/pinky*.ts locale

	# fix locale target
	%__sed -i -e 's|\.\./locale|locale|g' locale/CMakeFiles/locale.dir/build.make

	%__make
popd

%install
pushd build
	%makeinstall
popd

# menus
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PinkyTagger
Exec=pinkytagger
Icon=pinkytagger
Type=Application
Terminal=false
Categories=AudioVideo;AudioVideoEditing;X-MandrivaLinux-Multimedia-Sound;
MimeType=audio/x-mp3;application/ogg;audio/x-flac;audio/x-monkeyaudio;
Comment=For editing and mass tagging music file tags
X-Desktop-File-Install-Version=0.11
EOF

rm -rf %{buildroot}%_datadir/applnk/

# icons
%__install -dm 755 %{buildroot}{%_iconsdir,%_miconsdir,%_liconsdir}
%__install -m 644 src/images/brain.png %{buildroot}%{_iconsdir}/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
%__install -m 644 src/images/brain.png %{buildroot}%{_liconsdir}/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png
%__install -m 644 src/images/brain.png %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 


%clean
%__rm -rf %{buildroot}


%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Aug 21 2009 slick50 <slick50@gmail.com> 2.2.3-1pclos2009
- 2.2.3

* Sun Jun 22 2008 Stumpy842 <stump842@gmail.com> 2.1.0-1
- Import for PCLOS
